Bug 493879 - S-c-tools cleanup: be more verbose, status, progress bar
S-c-tools cleanup: be more verbose, status, progress bar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 493602
  Show dependency treegraph
 
Reported: 2009-04-03 06:07 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 11:55:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Show window with brief text when doing time-consuming actions (5.67 KB, patch)
2009-04-14 11:22 EDT, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 06:07:40 EDT
Description of problem:
User is not notified that tool is something doing and/or something goes wrong.

How reproducible:
Steps to Reproduce:

Actual results:
Expected results:

Additional info:
Use status bar, progress bar and/or message dialogs...
Comment 1 Roman Rakus 2009-04-10 09:46:12 EDT
I'll do it
Comment 2 Roman Rakus 2009-04-14 11:22:29 EDT
Created attachment 339513 [details]
Show window with brief text when doing time-consuming actions

I'm not sure if text "Gathering informations" is well describing what is doing in kickstartGui.getAllData().
Comment 3 Chris Lumens 2009-04-16 09:50:27 EDT
What behavior is your patch supposed to be changing?  I already had a dialog that displays when fetching information, and a quick test with your patch applied didn't do anything different that I could tell.
Comment 4 Roman Rakus 2009-04-17 05:01:40 EDT
I have add dialog when you want to take preview and save to file. These actions take a bit long time.
Comment 5 Chris Lumens 2009-04-17 11:55:39 EDT
Thanks for the patch.  This will be included in the next build of system-config-kickstart.

Note You need to log in before you can comment on or make changes to this bug.